$(function() {
	loadAllAlarm();
	loadEmailServerConfig();
	loadWechatServerConfig();
});
var table;
var dataSet = [];
function loadAllAlarm() {
	$.get("/api/alarm/noti/users", function(rs) {
		console.log(rs)
		if(rs.code == 0) {
			var data = rs.data;
			for(var i in data) {
				var o = data[i];
				dataSet.push(buildRow(o))
			}
		} else {
			alert(rs.msg);
		}
		if(table != undefined) {
			table.fnDestroy();
		}
		table = $('#notiUserTable').DataTable({
			oLanguage: {
				"sUrl": "assets/dataTable/i18n/Chinese.json"
			},
			scrollY:        '55vh',
			scrollCollapse: true,
			paging:         false,
			data: dataSet
		});
		$('#notiUserTable tbody').on( 'mouseover', 'tr', function () {
	        if ( $(this).hasClass('selected') ) {
	            //$(this).removeClass('selected');
	        }else {
	            table.$('tr.selected').removeClass('selected');
	            $(this).addClass('selected');
	        }
			} );
	})
}
function buildRow(o){
		var service = ""
		switch (o.service){
			case 1:{
				service="邮件";break;
			}
			case 2:{
				service="微信";break;
			}
		}
		var jo = JSON.stringify(o);
	var action = "<td style='display:;'><div class='tpl-table-black-operation'>"+
						"<a href='javascript:;' onclick='deleteNotiUser("+jo+")' class=''>"+
							"<i class='am-icon-trash'></i> 删除"+
						"</a>"+
					"</div></td>";
	var row = [o.id,service,action];
	return row
}
function openAddNotiUserDialog(){
	$('#addNotiUserDialog').modal('open');
}
function saveNotiUser(){
	var id = $("#addNotiUserId").val();
	var service = $("input[name=notiType]:checked").val();
	var params = {"id":id,"service":service};
	console.log(params)
	$.post("/api/alarm/noti/addUser",params,function(rs){
		if (rs.code==0) {
			table.row.add(buildRow(rs.data)).draw()
			 $('#addNotiUserDialog').modal('close');
		}else{
			alert(rs.msg)
		}
	})
	
}
function deleteNotiUser(user){
	var id = user.id;
	var params = {"id":id}
	$("#willDelId").empty().append(id);
	$('#my-confirm').modal({
        relatedTarget: this,
        onConfirm: function(options) {
        	$.post("/api/alarm/noti/deleteUser",params,function(rs){
				if (rs.code==0) {
					table.row(".selected").remove().draw();
				}else{
					alert(rs.msg)
				}
			})
        },
        // closeOnConfirm: false,
        onCancel: function() {
        }
      });
	
}

function loadEmailServerConfig(){
	$.get("/api/alarm/noti/emailServer",function(rs){
		if (rs.code ==0) {
			console.log(rs)
			var server = rs.data;
			if(server!=null){
				$("#smtp").val(server.smtp);
				$("#port").val(server.port==0?"":server.port);
				$("#emailAddr").val(server.email);
				$("#emailPass").val(server.password);
			}else{
				alert(rs.msg)
			}
		}
	})
}
function sendTestEmail(){
	var smtp = $("#smtp").val().trim();
	var port = $("#port").val().trim();
	var email = $("#emailAddr").val().trim();
	var password = $("#emailPass").val().trim();
	var to = $("#to").val().trim();
	var params = {"smtp":smtp,"port":port,"email":email,"password":password,"to":to}
	if (isEmpty(smtp)||isEmpty(port)||isEmpty(email)||isEmpty(password)||isEmpty(to)) {
		alert("请正确填写所有参数")	
		return
	}
	$.post("/api/alarm/noti/sendTestEmail",params,function(rs){
		if (rs.code==0) {
			alert("发送成功，请查收验证");
		}else{
			alert(rs.msg);
		}
	})
	
	
	
	
}
function saveEmailServerConfig(){
	var smtp = $("#smtp").val().trim();
	var port = $("#port").val().trim();
	var email = $("#emailAddr").val().trim();
	var password = $("#emailPass").val().trim();
	var to = $("#to").val().trim();
	var params = {"smtp":smtp,"port":port,"email":email,"password":password,"to":to}
	if (isEmpty(smtp)||isEmpty(port)||isEmpty(email)||isEmpty(password)) {
		alert("请正确填写所有参数")	
		return
	}
	$.post("/api/alarm/noti/setEmail",params,function(rs){
		if (rs.code==0) {
			alert("保存成功 ");
		}else{
			alert(rs.msg);
		}
	})

	
}

function loadWechatServerConfig(){
	$.get("/api/alarm/noti/wechatServer",function(rs){
		if (rs.code ==0) {
			console.log(rs)
			var server = rs.data;
			if(server!=null){
				$("#corpid").val(server.corpid);
				$("#agentid").val(server.agentid==0?"":server.agentid);
				$("#corpsecret").val(server.corpsecret);
			}else{
				alert(rs.msg)
			}
		}
	})
}
function sendTestWechat(){
	var corpid = $("#corpid").val().trim();
	var agentid = $("#agentid").val().trim();
	var corpsecret = $("#corpsecret").val().trim();
	var to = $("#wechatTo").val().trim();
	var params = {"corpid":corpid,"agentid":agentid,"corpsecret":corpsecret,"to":to}

	if (isEmpty(corpid)||isEmpty(agentid)||isEmpty(corpsecret)||isEmpty(to)){
		alert("请正确填写所有参数")	
		return
	}
	$.post("/api/alarm/noti/sendTestWechat",params,function(rs){
		if (rs.code==0) {
			alert("发送成功，请查收验证");
		}else{
			alert(rs.msg);
		}
	})
	
	
	
	
}
function saveWechatServerConfig(){
	var corpid = $("#corpid").val().trim();
	var agentid = $("#agentid").val().trim();
	var corpsecret = $("#corpsecret").val().trim();
	var params = {"corpid":corpid,"agentid":agentid,"corpsecret":corpsecret}
	if (isEmpty(corpid)||isEmpty(agentid)||isEmpty(corpsecret)){
		alert("请正确填写所有参数")	
		return
	}	$.post("/api/alarm/noti/setWechatServer",params,function(rs){
		if (rs.code==0) {
			alert("保存成功 ");
		}else{
			alert(rs.msg);
		}
	})

	
}

