var queryParams = {};
var table;
$(function() {
	loadData();
});
function loadData(){
	//load device group
	$.get("/api/group/allPortGroup",function(rs){
		if(rs.code==0){
			var data = rs.data;
			var html = "<option value=' '>不指定分组</option>";
			for (var i = 0; i < data.length; i++) {
				var o = data[i];
				html += "<option value='"+o.id+"'>"+o.name+"</option>";
			}
			$("#group-list").empty().append(html);
			$("#group-list-tool").empty().append(html);
		}
	});

	//load device data
	$.get("/api/port/all",function(rs){
		if(rs.code==0){
			var data = rs.data;
			showPortList(data);
		}else {
			alert(rs.msg)
		}
	});
}
function searchPort() {
	var groupId = $("#group-list option:selected").val();
	var name = $("#queryStr").val();
	var params={"groupId":groupId,"name":name,"deviceId":"","deviceName":""};
	console.log(params)
	$.post("/api/port/search",params,function(rs){
		if(rs.code==0){
			var data = rs.data;
			showPortList(data);
		}else{
			alert(rs.msg)
		}
	});
}
function setMonitor(o,c){
	data = table.row('.selected').data();
	var params = {"id":o.id,"monitor":c}
	$.post("/api/port/setMonitor",params,function(rs){
		if(rs.code == 0 ){
			//o = rs.data;
			if(c){
				o.monitor =true;
				
			}else{
				o.monitor =false;
			}
			table.row('.selected').data(buildRow(o)).draw();
		}else{
			alert("操作失败请联系管理员")
		}
	})
}
function showPortList(data) {
	var html = "";
	var dataSet = [];
	for (var i = 0; i < data.length; i++) {
		var o = data[i];
		dataSet[i] = buildRow(o);
	}
	if(table != undefined) {
		table.fnDestroy();
	}
	table = $('#portTable').DataTable( {
		oLanguage:{
            "sUrl": "assets/dataTable/i18n/Chinese.json"
        },
	    data: dataSet
	});
	$('#portTable tbody').on( 'mouseover', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            //$(this).removeClass('selected');
        }else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    } );
}
function buildRow(o){
	var descr = o.descr==null?"":o.descr;
		descr = descr.substring(0,20)
		var ip = o.ip==null?"":o.ip;
		var jo = JSON.stringify(o);
		var isMonitor = o.monitor?"<i class='icon-switch-on' onclick='setMonitor("+jo+",false)'></i>":
						"<i class='icon-switch-off' onclick='setMonitor("+jo+",true)'></i>";
		var status = "";
		if(o.admin==2){status="未启用";}else{
			if(o.oper==2){status="Down";}
			else if(o.oper==1){
				status="Up";
			}
		}
		var group = IES(o.groupId)?"":o.groupId;
			group =group.split("_")[0];
		var online = true==o.online?"在线":"掉线";
		var showTraffic = o.monitor?"<a href='javascript:;' onclick='openTrafficChart("+jo+")'>"+
										"<i class='am-icon-chart'>流量图</i> "+
									"</a>":"";
		var control = "<td id='"+o.id+"' style='display:;'><div class='tpl-table-black-operation'>"+
						"<a href='javascript:;' onclick='openEditPortDialog("+jo+")'>"+
							"<i class='am-icon-pencil'></i> 编辑"+
						"</a>"+
						"<a href='javascript:;' onclick='deleteDevice("+jo+")' class=''>"+
							"<i class='am-icon-trash'></i> 删除"+
						"</a>"+
						"<a href='javascript:;' onclick='openPortDetailDialog("+jo+")' class=''>"+
							"<i class='am-icon-trash'></i> 详细"+
						"</a>"+showTraffic+
					"</div></td>";
		var row = ["",descr,o.descrx,Math.ceil(o.speed/1000/1000),o.lowBits,ip,o.deviceName,
		group,isMonitor,status,control];
		return row;
}
function openEditPortDialog(o) {
	$("#port_id").val(o.id);
	$("#port_name").val(o.deviceName+"("+o.deviceIP+") "+o.name);
	$("#port_descr").val(o.descrx)
	$("#lowBits").val(o.lowBits)
	$("#port_name").attr("disabled","disabled");
	$('#editPortDialog').modal();
}

function savePort(){
	var id = $("#port_id").val();
	var groupId = $("#group-list-tool option:selected").val();
	var descr = $("#port_descr").val();
	var lowBits = $("#lowBits").val();
	var params = {"id":id,"groupId":groupId,"descr":descr,"lowBits":lowBits};
	console.log(params)
	$.post("/api/port/update",params,function(rs){
		if(rs.code==0){
			//searchPort();
			table.row('.selected').data(buildRow(rs.data)).draw();
			$('#editPortDialog').modal('close');
		}else{
			alert(rs.msg);
		}
	})
}

function checkThreshold(ele) {
	var threshold = $(ele).val().trim();
	var reg = /[0-9]+[k|m|g]/;
	if (threshold!="" && !threshold.match(reg)) {
		alert("设置必须为数值加单位[k,m,g], 例如100k,10m或1g等格式")
		$(ele).val("");
		$(ele).focus();
	}else{
		
	}
}

function openPortDetailDialog(port){
	var group = IES(port.groupId)?"":port.groupId;
	group =group.split("_")[0];
	new jBox('Modal', {
	   content: kv("设备名",port.deviceName)+
	            kv("设备IP",port.deviceIP)+
				kv("端口名",port.name)+
				kv("IP",port.ip)+
				kv("Mac",port.mac)+
				kv("描述",port.descr)+
				kv("备注",port.descrx)+
				kv("带宽(M)",Math.ceil(port.speed/1000/1000))+
				kv("流量异常限制",port.lowBits)+
				kv("Admin Status",port.admin)+
				kv("Oper Status",port.oper)+
				kv("同步时间",dFormat(port.syncTime))+
				kv("是否监控",(port.monitor?"是":"否"))+
				kv("分组",group)+
				kv("Index",port.index)

    }).open();
}
