function trafficChart(id) {

	// generate some random data first
	// generateChartData();

	// SERIAL CHART
	chart = new AmCharts.AmSerialChart();

	chart.dataProvider = chartData;
	chart.categoryField = "time";

	// listen for "dataUpdated" event (fired when chart is inited) and call zoomChart method when it happens
	//chart.addListener("dataUpdated", zoomChart);

	chart.synchronizeGrid = true; // this makes all axes grid to be at the same intervals

	// AXES
	// category
	var categoryAxis = chart.categoryAxis;
	categoryAxis.parseDates = true; // as our data is date-based, we set parseDates to true
	categoryAxis.minPeriod = "ss"; // our data is daily, so we set minPeriod to DD
	categoryAxis.minorGridEnabled = true;
	categoryAxis.axisColor = "#DADADA";
	categoryAxis.twoLineMode = true;

	// first value axis (on the left)
	var valueAxis1 = new AmCharts.ValueAxis();
	valueAxis1.axisColor = "#DADADA";
	valueAxis1.axisThickness = 2;
	valueAxis1.usePrefixes = true;
	chart.addValueAxis(valueAxis1);

	// second value axis (on the right)
	var valueAxis2 = new AmCharts.ValueAxis();
	valueAxis2.position = "right"; // this line makes the axis to appear on the right
	valueAxis2.axisColor = "#FCD202";
	valueAxis2.gridAlpha = 0;
	valueAxis2.axisThickness = 2;
	chart.addValueAxis(valueAxis2);

	// GRAPHS
	// first graph
	var graph1 = new AmCharts.AmGraph();
	graph1.valueAxis = valueAxis1; // we have to indicate which value axis should be used
	graph1.title = "In Traffic";
	graph1.valueField = "in";
	graph1.bullet = "round";
	graph1.hideBulletsCount = 20;
	graph1.bulletBorderThickness = 1;
	graph1.type = "smoothedLine";
	chart.addGraph(graph1);

	// second graph
	var graph2 = new AmCharts.AmGraph();
	graph2.valueAxis = valueAxis1; // 使用同一ValueAxis we have to indicate which value axis should be used
	graph2.title = "Out Traffic";
	graph2.valueField = "out";
	graph2.bullet = "round";
	graph2.hideBulletsCount = 20;
	graph2.bulletBorderThickness = 1;
	graph2.type = "smoothedLine";
	chart.addGraph(graph2);

	// CURSOR
	var chartCursor = new AmCharts.ChartCursor();
	chartCursor.cursorAlpha = 0.1;
	chartCursor.fullWidth = true;
	chartCursor.valueLineBalloonEnabled = true;
	chartCursor.categoryBalloonDateFormat ="YYYY-MM-DD JJ:NN";
	chart.addChartCursor(chartCursor);

	// SCROLLBAR
	//             var chartScrollbar = new AmCharts.ChartScrollbar();
	//             chart.addChartScrollbar(chartScrollbar);

	// LEGEND
	var legend = new AmCharts.AmLegend();
	//legend.marginLeft = 110;  
	//legend.position = "right";
	legend.useGraphSettings = true;
	chart.addLegend(legend);

	// WRITE
	chart.write(id);

}