var DIR = 'assets/device-icons/default/';
var EDGE_LENGTH_MAIN = 150;
var EDGE_LENGTH_SUB = 50;

var edges = [];
var network = null;
var nodes = [{
	id: "10.10.1.5",
	label: "",
	name: "Test",
	shape: "image",
	image: "linux.png"
}];
var allNodes = [];
var positions = {};
var oneASnodes = [];
var oneASedges = [];

function showInnerOrOuterAs(dir) {
	var tmpNodes = [];
	console.log(nodes)
	for(var i = 0; i < nodes.length; i++) {
		var node = nodes[i]
		console.log(node)
		if(dir == "out" && node.name < "64512") {
			tmpNodes.push(node);
		}
		if(dir == "in" && node!=undefined && node.name >= "64512") {
			tmpNodes.push(node);
		}
	};
	showTopology(options,tmpNodes,edges)

}

// Called when the Visualization API is loaded.
function showTopology(options,nodes,edges) {
	// create a network
	visData = {
		nodes: nodes,
		edges: edges
	}
	var container = document.getElementById('topology');
	network = new vis.Network(container, visData, options);
	network.on("doubleClick", function(e) {
		console.log(e)
		if(e.nodes.length>0){
			var node = e.nodes[0]
			showOneAsTopology(node)
		}
	})
	network.on("blurPopou", function(e) {
		console.log(network.nodes)
		console.log(network.getPositions())
		console.log(node)
	})

}
function showOneAsTopology(asn){
	$.get("/api/bgp/topo",{"aas":asn},function(rs){
		console.log(rs)
		if(rs.code!=0){
			new JBox("Notice",{
				content:"Error load AS "+asn+" topology error:"+rs.msg,
				color:"red"
			})
		}else{
			var rsNodes = rs.data.nodes;
			var rsEdges = rs.data.edges;
			if(rsNodes!=null){
				oneASnodes = rsNodes;
			}else{
				console.log(rsNodes)
				
				new jBox("Tooltip",{
					content:"No more detail about AS "+asn,
					color:"green",
				});
				return;
			}
			if (rsEdges!=null) {
				oneASedges = rsEdges;
			}
			for (var i = 0; i < rsNodes.length; i++) {
				var node = rsNodes[i];
				node.shape = "image";
				node.font = {color:"green"}
				if (node.type=="device") {
					node.image = DIR+"unkown.png";
				}else{
					node.image = DIR+"cloud.png";
					if (node.name<"64512") {
						node.font = {color:"blue"}
					}
				}
				
			}
			showTopology(options,oneASnodes,oneASedges)
		}
	})
}
function showTopBGPTopology(){
	$.get("/api/bgp/topo", function(rs) {
		if(rs.code != 0) {
			alert(rs.msg)
		} else {
			var data = rs.data;

			if(data != null) {
				$("#topoName").empty().append(data.name)
				if(data.options != "") {
					options = JSON.parse(data.options);
				}
				if(data.positions != undefined && "" != data.positions) {
					positions = JSON.parse(data.positions);
				}
				if(data.nodes != "") {
					nodes = data.nodes;
				}

				edges = data.edges;

				//process 
				for(var i = 0; i < nodes.length; i++) {
					var node = nodes[i];
					var label = node.label;
					node.label = label == "" ? node.name : label;
					var image = node.image;
					//node.shape = "image";
					//node.image = image==""?DIR+"cloud.png":DIR+node.image;
					node.title = node.counter + " know devices";
					node.label = node.label + "(" + node.counter + ")";
					if(node.type == "as" && node.name < "64512") {
						//node.font = {color:"gray"}
						node.color = "gray"
					}
					var ps = positions[node.id];
					if(ps != undefined && ps != null) {
						node.x = ps.x;
						node.y = ps.y;
					}
					//nodesSet.add(node)
				}
				for(var i = 0; i < edges.length; i++) {
					edge = edges[i]
					edge.title = edge.counter + " peers";
					edge.color = "green"
				}
			}
			showTopology(options,nodes,edges)

		}

	})
}
var options = {
	interaction: {
		hover: true
	},
	autoResize: false,
	height: '100%',
	width: '100%',
	physics: {
		enabled: true
	},
	nodes: {
		//font:{color:"green"}
	},
	layout: {
		//      hierarchical: {
		//      	direction: "LR"
		//		}
	}
}

$(function() {
	//showTopology(options)
	showTopBGPTopology()
})

function saveTopoConfig() {
	var positions = JSON.stringify(network.getPositions());
	console.log(positions)
	$.post("/api/topo/save", {
		"positions": positions
	}, function(rs) {
		if(rs.code == "") {
			alert("成功保存")
		} else {
			alert(rs.msg)
		}
	})

}