var table;
var dataSet = [];
$(function () {
	loadData();
});

function loadData() {
	$.get("/api/user/all", function (rs) {
		if (rs.code == 0) {
			showUserData(rs.data);
		}
	});
}

function showUserData(data) {
	for (var i = 0; i < data.length; i++) {
		var o = data[i];
		dataSet.push(buildRow(o));
	}
	if (table != undefined) {
		table.fnDestroy();
	}
	table = $('#userTable').DataTable( {
		oLanguage:{
            "sUrl": "assets/dataTable/i18n/Chinese.json"
        },
	    data: dataSet
	});
	$('#userTable tbody').on( 'mouseover', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            //$(this).removeClass('selected');
        }else {
            table.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');
        }
    } );	
}
function buildRow(o) {
	var role = "Admin" == o.role ? "管理员" : "普通用户";
	var jo = JSON.stringify(o);
	var action = "<td id='" + o.id + "' style='display:;'><div class='tpl-table-black-operation'>" +
		"<a href='javascript:;' onclick='openEditUserDialog(" + jo + ")'>" +
		"<i class='am-icon-pencil'></i> 编辑" +
		"</a>" +
		"<a href='javascript:;' onclick='deleteUser(" + jo + ")' class=''>" +
		"<i class='am-icon-trash'></i> 删除" +
		"</a>" +
		"</div></td>";
	var row = [o.name, o.email, o.phone, role, dFormat(o.createTime), dFormat(o.put), "Yes",action];
	return row;
}
function openAddUserDialog() {
	var user = $("#addUser").val();
	var email = $("#addEmail").val();
	var phone = $("#addPhone").val();
	var passwd = $("#addPasswd").val();
	//$("#group-list-tool").val(device.groupID)
	//$("#group-list-tool").find('option').eq(device.groupID).attr('selected', true);
	$('#addUserDialog').modal();
}
function openEditUserDialog(o) {
	var user = $("#editName").val(o.name);
	var email = $("#editEmail").val(o.email);
	var phone = $("#editPhone").val(o.phone);
	//$("#group-list-tool").val(device.groupID)
	//$("#group-list-tool").find('option').eq(device.groupID).attr('selected', true);
	$('#editUserDialog').modal();
}

function addUser() {
	var user = $("#addName").val();
	var email = $("#addEmail").val();
	var phone = $("#addPhone").val();
	var passwd = $("#addPasswd").val();
	if (IES(user) || IES(email) || IES(passwd)) {
		alert("请填写带*字段")
		return
	}
	var params = { "name": user, "email": email, "phone": phone, "passwd": passwd }
	console.log(params)
	$.post("/api/user/add", params, function (rs) {
		if (rs.code == 0) {
			table.row.add(buildRow(rs.data)).draw();
			$('#addUserDialog').modal('close');
		} else {
			alert(rs.msg);
		}
	})
}

function editUser() {
	var name = $("#editName").val().trim();
	var email = $("#editEmail").val();
	var phone = $("#editPhone").val();
	var params = {"name":name,"email":email,"phone":phone}
	$.post("/api/user/edit",params,function(rs){
		if (rs.code ==0) {
			table.row('.selected').data(buildRow(rs.data)).draw();
			$('#editUserDialog').modal('close');
		}else{
			alert(rs.msg)
		}
	})
}
function getUserRoles(){
	$.post("/api/user/roles",params,function(rs){
		if (rs.code ==0) {
			console.log(rs)
		}else{
			alert(rs.msg)
		}
	})
}
function deleteUser(user) {
	//user = table.row('.selected').data();
	var name = user.name;
	var params = {"name":name}
	if (confirm("确定要删除用户："+name)) {
		$.post("/api/user/delete",params,function(rs){
			if (rs.code ==0) {
				table.row(".selected").remove().draw();
				//table.row('.selected').data(buildRow(o)).draw();
			}else{
				alert(rs.msg)
			}
		})
	}
}